#
# spec file for package smartlink-softmodem (Version 2.9.10)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl alsa-devel attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv kernel-source kernel-syms less libacl libasound2 libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           smartlink-softmodem
BuildRequires:  alsa-devel kernel-source kernel-syms module-init-tools
Url:            ftp://ftp.smlink.com/linux/unsupported/
License:        Any commercial
Group:          Hardware/Modem
PreReq:         /bin/cat /sbin/depmod
AutoReqProv:    on
Version:        2.9.10
Release:        148.1
Summary:        SmartLink SoftModem for Linux
Source0:        slmodem-%{version}.tar.bz2
Source2:        slmodemd
Source3:        Makefile.module
Source4:        sysconfig.slmodemd
Source5:        slmodemd.8
Source6:        README.ALSA
Patch0:         slmodem-%{version}-aliasing.diff
Patch1:         slmodem-%{version}-class.diff
Patch2:         slmodem-%{version}-alsa.diff
Patch3:         slmodem-%{version}-alsa_support.diff
Patch4:         slmodem-%{version}-driver.diff
Patch5:         slmodem-%{version}-prototypes.diff
Patch6:         slmodem-%{version}-major.diff
Patch7:         slmodem-%{version}-pci_match_device.diff
Patch8:         slmodem-%{version}-slusb.diff
Patch9:         slmodem-%{version}-module_param.diff
Patch10:        slmodem-%{version}-at.diff
Patch11:        slmodem-%{version}-t403.diff
Patch12:        slmodem-%{version}-no_devfs.diff
Patch13:        slmodem-2.9.11-alsa-period-size.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Supplements:    modalias(pci:v00008086d00002668sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00008086d000027D8sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00008086d0000269Asv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00008086d0000284Bsv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001002d0000437Bsv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001106d00003288sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001039d00007502sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010B9d00005461sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd0000026Csv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd00000371sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010B9d00005451sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001002d0000434Dsv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001002d00004378sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00008086d00002416sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00008086d00002426sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00008086d00002446sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00008086d00002486sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00008086d000024C6sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00008086d000024D6sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00008086d0000266Dsv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00008086d000027DDsv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00008086d00007196sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001022d00007446sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001039d00007013sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd000001C1sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd00000069sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd00000089sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v000010DEd000000D9sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00001106d00003068sv*sd*bc*sc*i*)
# Generated with: extract-modaliases -i snd-hda-intel -i snd-ali5451 -i snd-atiixp-modem -i snd-intel8x0m -i snd-via82xx-modem /work/CDs/all/full-i386/suse/i586/kernel-default.rpm
Supplements:    modalias(usb:v0483p7554d*dc*dsc*dp*ic*isc*ip*)
# Generated with: extract-modaliases smartlink-softmodem-kmp-default.rpm
%suse_kernel_module_package kdump um xen xenpae debug

%description
This is SmartLink SoftModem for Linux version 2.9. It provides a
full-featured 56K Voice Fax Modem.



Authors:
--------
    Sasha Khapyorsky <sashak@smlink.com>

%debug_package
%package KMP
License:        Any commercial
Group:          System/Kernel
Summary:        Smart Link Soft Modem for Linux kernel modules
Supplements:    modalias(usb:v0483p7554d*dc*dsc*dp*ic*isc*ip*)
# Generated with: extract-modaliases smartlink-softmodem-kmp-default.rpm

%description KMP
This is Smart Link Soft Modem for Linux version 2.9. It provides a
full-featured 56K Voice Fax Modem.



Authors:
--------
    Sasha Khapyorsky <sashak@smlink.com>

%prep
%setup -q -n slmodem-%version
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
%patch9
%patch10
%patch11
%patch12
%patch13

%build
mkdir obj
mkdir source
cp -a drivers/{amrlibs.o,amrmo_init.c,sysdep_amr.c,st7554.c} source
cp -a modem/modem_defs.h source
cp -a %{S:3} source/Makefile
# alsa needs -O to link successfully
make -C modem SUPPORT_ALSA=1 CFLAGS="$RPM_OPT_FLAGS -I. -DCONFIG_DEBUG_MODEM"
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -r source obj/$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
         M=$PWD/obj/$flavor
done

%install
install -D -m 755 modem/slmodemd $RPM_BUILD_ROOT%{_sbindir}/slmodemd
install -d -D -m 755 $RPM_BUILD_ROOT/var/lib/slmodem
install -m 755 -d $RPM_BUILD_ROOT/etc/init.d
install -m 755 -d $RPM_BUILD_ROOT/etc/modprobe.d
install -m 755 -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 755 -d $RPM_BUILD_ROOT%{_mandir}/man8
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/init.d
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.slmodemd-%{name}
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_mandir}/man8
install -m 644 %{SOURCE6} .
ln -sf ../../etc/init.d/slmodemd $RPM_BUILD_ROOT/usr/sbin/rcslmodemd
# install kernel modules
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
         M=$PWD/obj/$flavor
done

%post
%{fillup_only -an slmodemd }

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.ALSA Changes COPYING
%doc %{_mandir}/man?/*
%{_sysconfdir}/init.d/*
%{_sbindir}/*
/var/adm/fillup-templates/*

%changelog
* Mon Aug 20 2007 - tiwai@suse.de
- fix the period size error with ALSA hda-intel driver
* Thu Apr 05 2007 - lrupp@suse.de
- added module-init-tools to BuildRequires
* Mon Feb 12 2007 - dmueller@suse.de
- correctly install rc-symlink
- add defattr's
* Tue Aug 22 2006 - ro@suse.de
- fix build with 2.6.18 (devfs is gone)
* Thu Apr 20 2006 - agruen@suse.de
- Fix the spec file so that the Supplements: modalias(...) tags
  become tags of the smartlink-softmodem package.
* Wed Apr 12 2006 - mjancar@suse.cz
- allow to specify modem device in ALSA mode (#159393)
* Fri Apr 07 2006 - mjancar@suse.cz
- add ALSA and other fixes from upstream (#159393)
- add Supplements for ALSA drivers
- fix and reenable build on !default kernel-flavors
- move from i386 to all
* Mon Apr 03 2006 - ro@suse.de
- use module_param instead of MODULE_PARM
* Tue Mar 14 2006 - ro@suse.de
- remove more kernel-flavors (package is now empty for != default)
* Thu Mar 09 2006 - mjancar@suse.cz
- don't build slamr as it is non-GPL
* Wed Mar 08 2006 - agruen@suse.de
- Add modalias tags (155357).
* Thu Feb 16 2006 - ro@suse.de
- ignore xenpae kernel
* Mon Feb 06 2006 - mjancar@suse.cz
- use module_param() instead of MODULE_PARM() (#144600)
* Sun Feb 05 2006 - ro@suse.de
- remove requires for nongpl kernel
* Fri Feb 03 2006 - ro@suse.de
- change to kernel-module-package (KMP)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - mjancar@suse.cz
- remove .owner from struct usb_driver (#144600)
* Fri Oct 14 2005 - mjancar@suse.cz
- require kernel-nongpl instead of kernel (#128239)
* Fri Sep 09 2005 - mjancar@suse.cz
- fix inverted logic in usb halt recovery (#88512)
- use full path to the device node (#113038)
* Tue Sep 06 2005 - agruen@suse.de
- pci_match_device-fix.diff: Fix pci_match_device() invocation.
- slmodemd: Fixed slmodemd not to load modules in ALSA mode.
  Both fixes from Takashi Iwai.
* Fri Sep 02 2005 - mjancar@suse.cz
- create the device nodes starting at 0 instead of 1
* Tue Aug 30 2005 - mjancar@suse.cz
- fix typo in previous change
* Mon Aug 29 2005 - mjancar@suse.cz
- don't call GPL-only exported functions (#113038)
  * remove the new driver core API calls
  * change major device numbers 212->242 for slamr, 213->243 for slusb
  * create device nodes in initscript
* Mon Aug 22 2005 - mjancar@suse.cz
- update to new driver core API (#104797)
* Tue Jun 28 2005 - arvin@suse.de
- fixed typo in init script (see bug #88512)
* Mon Apr 18 2005 - mjancar@suse.cz
- fic for gcc 4.0
* Wed Mar 23 2005 - mjancar@suse.cz
- load modules in rcscript (#74292)
* Tue Mar 01 2005 - agruen@suse.de
- slmodem-2.9.10-driver.diff: Compilation fix from Marian Jancar.
* Tue Nov 09 2004 - trenn@suse.de
- forgot debug message in init.d script
* Sat Nov 06 2004 - trenn@suse.de
- compile with alsa support (#46961)
* Tue Oct 05 2004 - mjancar@suse.cz
- fix usb_endpoint_halted missing in recent kernels
- udev fixes (#44260)
* Thu Sep 09 2004 - mjancar@suse.cz
- update to 2.9.10 (#43850)
- let udev create device nodes (#44260)
* Thu May 13 2004 - mjancar@suse.cz
- cosmetic fix of startup script (#39432)
* Tue Apr 06 2004 - mjancar@suse.cz
- run depmod -a in %%post (#38510)
* Mon Apr 05 2004 - bk@suse.de
- fix build cycle problem(kernel-source is no longer used by build)
* Mon Apr 05 2004 - mjancar@suse.cz
- add sysconfig template (#38164)
- add man page
* Fri Apr 02 2004 - bk@suse.de
- fix slmodemd status and change start to log to a separate file
* Thu Apr 01 2004 - mjancar@suse.cz
- don't build drivers on SMP (#37445)
* Mon Mar 29 2004 - ak@suse.de
- fix for CONFIG_REGPARM (#37194)
* Wed Mar 24 2004 - mjancar@suse.cz
- add missing include directory
* Mon Mar 15 2004 - mjancar@suse.cz
- use proper Makefile for km_smartlink_softmodem
* Thu Mar 04 2004 - mjancar@suse.cz
- update to 2.9.6
* Wed Oct 29 2003 - bk@suse.de
- treat ICH4 like ICH3
* Tue Jun 17 2003 - ro@suse.de
- added missing directories to filelist
* Tue Feb 25 2003 - bk@suse.de
- fixes for config script and %%post, rebuild modules at every make
* Wed Jan 29 2003 - bk@suse.de
- Initial version: smartlink-softmodem-2.7.9
